petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMProductGetDM

Get sub-DM associated with a given slot of a DMProduct

### Synopsis

    PETSC_EXTERN PetscErrorCode DMProductGetDM(DM dm,PetscInt slot,DM *subdm)

Not collective

### Input Parameters

| dm | - the DMProduct
| slot | - which dimension slot, in the range 0 to dim-1

### Output Parameter

subdm -the sub-DM

### See Also

DMPRODUCT, DMProductSetDM()

### Level

advanced

### Location

src/dm/impls/product/productutils.c
Index of all DMPRODUCT routines
Table of Contents for all manual pages
Index of all manual pages